Subject: Re: Does anyone use i686-linux? [was Re: bug#67535: ci.guix.gnu.org 'Cannot allocate memory' while building for i686-linux]

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 02 Aug 2024 10:36:58 +0200

Leo Famulari <[email-masked]> writes:

> On Tue, Jul 30, 2024 at 06:02:23PM -0300, André Batista wrote:
>> seg 29 jul 2024 às 14:33:59 (1722274439), [email-masked] enviou:
>> > FWIW, I'm using one of those Atom chips in a netbook for an installation
>> > of Sugar Desktop.  I upgrade it every few months or so.  If I'm the only
>> > user of i686-linux I would not want to condemn the project to supporting
>> > the architecture for my sake.
>> 
>> For the record, I'm another one still using those atom netbooks. Most
>> software that I use on that machine still builds and runs fine, with the
>> occasional hiccup.
>> 
>> But even though I use the arch, I also don't feel particularly inclined
>> to fix the occasional errors and can understand if people here decide to
>> drop support to it.
>
> Thanks for chiming in Ricardo and André. Do you build your own kernels
> for these machines? Or wait for the occasional successful build from CI?
> Download substitutes from a different build farm?

I used to get the kernel from ci.guix.gnu.org.  I haven't updated that
system in at least 6 months, though.  (It's not networked and used for
the occasional game.)

I use "guix deploy" for all weak machines at home and build whatever
might be missing on the targets on my x86_64 laptop.  For aarch64 this
means a regular build of a custom kernel.  For i686 I use the stock
kernel.

-- 
Ricardo